=== debian/changelog ===
securefs (0.8.2+ds-2) unstable; urgency=medium

  * d/patches: Add a patch to fix build issue on ppc64el architecture.

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 24 Dec 2018 11:56:12 +0800

securefs (0.8.2+ds-1) unstable; urgency=low

  * Initial release. Closes: #906791

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 27 Aug 2018 10:17:49 +0800
