=== debian/control ===
Source: securefs
Section: utils
Priority: optional
Maintainer: Yanhao Mo <yanhaocs@gmail.com>
Uploaders: SZ Lin (林上智) <szlin@debian.org>
Build-Depends:
 cmake,
 debhelper (>=11~),
 libfuse-dev,
 libcrypto++-dev,
 libjsoncpp-dev,
 libtclap-dev,
 libutfcpp-dev,
 catch,
Standards-Version: 4.2.1
Homepage: https://github.com/netheril96/securefs
Vcs-Git: https://salsa.debian.org/debian/securefs.git
Vcs-Browser: https://salsa.debian.org/debian/securefs

Package: securefs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fuse,
Description: Filesystem in userspace with transparent authenticated encryption
 securefs mounts a regular directory onto a mount point. The
 mount point appears as a regular filesystem, where one can
 read/write/create files, directories and symbolic links.
 The underlying directory will be automatically updated to
 contain the encrypted and authenticated contents.
