## securefs 0.8.3+ds

=== debian/changelog ===
securefs (0.8.3+ds-1) unstable; urgency=medium

  * New upstream version 0.8.3+ds
  * d/watch: Fix a typo (Closes: #918220) .
  * Standards-Version: Bump to 4.3.0 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 25 Feb 2019 14:26:07 +0800
