=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: utils
 Priority: optional
 Maintainer: Yanhao Mo <yanhaocs@gmail.com>
-Uploaders: SZ Lin (林上智) <szlin@debian.org>
 Build-Depends:
  cmake,
  debhelper (>=11~),
@@ -12,7 +11,7 @@
  libtclap-dev,
  libutfcpp-dev,
  catch,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/netheril96/securefs
 Vcs-Git: https://salsa.debian.org/debian/securefs.git
 Vcs-Browser: https://salsa.debian.org/debian/securefs
