=== debian/tests/control ===
Test-Command: cd obj-x86_64-linux-gnu && python2.7 ../test/simple_test.py
Depends: python2, fuse, libcrypto++6, libfuse2, libjsoncpp1
Restrictions: build-needed, isolation-machine, allow-stderr

Test-Command: cd obj-x86_64-linux-gnu && ./securefs_test
Depends: fuse, libcrypto++6, libfuse2, libjsoncpp1
Restrictions: build-needed
