## securefs 0.9.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-
-option(PORTABLE_BUILD "Build for the general architecture instead of this cpu" OFF)
+cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 project(securefs)
+if (POLICY CMP0048)
+  cmake_policy(SET CMP0048 NEW)
+endif()
 
 set (CMAKE_FIND_FRAMEWORK NEVER)
 
@@ -10,6 +11,11 @@
     COMMAND bash -c "uname -m"
     OUTPUT_VARIABLE architecture
 )
+
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake-modules/")
+include(GetGitRevisionDescription)
+git_describe(GIT_VERSION --tags)
+configure_file(${CMAKE_SOURCE_DIR}/sources/git-version.cpp.in ${CMAKE_BINARY_DIR}/git-version.cpp)
 
 if (UNIX)
     find_path(FUSE_INCLUDE_DIR fuse.h PATHS /usr/local/include PATH_SUFFIXES osxfuse)
@@ -20,15 +26,8 @@
     endif()
     include_directories(${FUSE_INCLUDE_DIR})
     link_libraries(${FUSE_LIBRARIES})
-    add_compile_options(-Wall -Wextra -Wno-unknown-pragmas -std=gnu++11)
-
-    if (NOT PORTABLE_BUILD)
-        if (NOT "${architecture}" STREQUAL "ppc64le\n")
-            add_compile_options(-march=native -mtune=native)
-        else ()
-            add_compile_options(-mcpu=native -mtune=native)
-        endif()
-    endif ()
+    add_compile_options(-Wall -Wextra -Wno-unknown-pragmas)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=gnu++11")
 
     if (APPLE)
         link_libraries(-Wl,-dead_strip)
@@ -59,7 +58,7 @@
     add_compile_options(/MP)
 endif ()
 
-add_definitions(-D_REENTRANT -D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=28)
+add_definitions(-D_REENTRANT -D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=28 -DUTF8PROC_EXPORTS=1)
 
 if (NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE Release)
@@ -73,17 +72,13 @@
 add_subdirectory(${CRYPTOPP_DIR})
 link_libraries(cryptopp-static)
 
-file(GLOB SOURCES sources/*.cpp sources/*.h ${EXTERNAL_DIR}/*.h ${EXTERNAL_DIR}/*.hpp ${EXTERNAL_DIR}/*.cpp)
+file(GLOB SOURCES sources/*.cpp sources/*.h ${EXTERNAL_DIR}/*.h ${EXTERNAL_DIR}/*.hpp ${EXTERNAL_DIR}/*.cpp ${CMAKE_BINARY_DIR}/git-version.cpp ${EXTERNAL_DIR}/utf8proc/utf8proc.h ${EXTERNAL_DIR}/utf8proc/utf8proc.c)
 file(GLOB TEST_SOURCES test/*.cpp)
 add_library(securefs-static STATIC ${SOURCES})
 link_libraries(securefs-static)
 
 add_executable(securefs main.cpp)
 add_executable(securefs_test ${TEST_SOURCES})
-
-if (UNIX)
-    set (CMAKE_REQUIRED_FLAGS "-std=gnu++11")
-endif()
 
 include(CheckCXXSourceRuns)
 CHECK_CXX_SOURCE_RUNS("int main() { thread_local int i = 0; return i; }" HAS_THREAD_LOCAL)
