=== debian/changelog ===
securefs (0.9.0+ds-1.1) unstable; urgency=medium

  * Add test dependency libutf8proc2 (Closes: #951224).

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 11 Apr 2020 01:10:15 +0800

securefs (0.9.0+ds-1) unstable; urgency=medium

  * New upstream version 0.9.0+ds
  * Update patches:
    - Rebasing aganist new upstream version
    - Build use native libutf8proc
  * Obsolete python2 (Closes: #943258)

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 30 Jan 2020 13:12:04 +0800
