## securefs 0.11.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,10 @@
     link_libraries(${FUSE_LIBRARIES})
     add_compile_options(-Wall -Wextra -Wno-unknown-pragmas)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=gnu++11")
+
+    if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+        add_compile_options(-Wthread-safety -Wthread-safety-negative)
+    endif()
 
     if (APPLE)
         link_libraries(-Wl,-dead_strip)
@@ -119,6 +123,11 @@
 
 enable_testing()
 add_test(NAME sec_test COMMAND securefs_test)
-add_test(NAME simple_test COMMAND /usr/bin/env build_config_type=${CMAKE_BUILD_TYPE} /usr/bin/python ${PROJECT_SOURCE_DIR}/test/simple_test.py)
+find_package(Python3 COMPONENTS Interpreter)
+if (Python3_FOUND)
+    add_test(NAME simple_test COMMAND ${Python3_EXECUTABLE} ${PROJECT_SOURCE_DIR}/test/simple_test.py)
+else()
+add_test(NAME simple_test COMMAND python3 ${PROJECT_SOURCE_DIR}/test/simple_test.py)
+endif()
 
 install(TARGETS securefs DESTINATION bin)
