=== debian/changelog ===
securefs (0.11.1+ds-4ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/p/0004-Ensure-tmp-dir-exists-before-use.patch:
      Ensure tmp dir exists before use.  Fixes FTBFS.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Dec 2021 00:00:06 -0800

securefs (0.11.1+ds-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0
  * d/control: Format by wrap-and-sort.
  * Get rid of lintian complain about uses-debhelper-compat-file.
  * Get rid of lintian complain about silent-on-rules-requiring-root.

 -- Yanhao <yanhaocs@gmail.com>  Sun, 03 Oct 2021 10:28:41 +0800

securefs (0.11.1+ds-3ubuntu3) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:52:08 +0000

securefs (0.11.1+ds-3ubuntu2) hirsute; urgency=medium

  * Update-maintainer

 -- Bryce Harrington <bryce@canonical.com>  Fri, 09 Apr 2021 21:11:01 +0000

securefs (0.11.1+ds-3ubuntu1) hirsute; urgency=medium

  * d/p/0004-Ensure-tmp-dir-exists-before-use.patch:
    Ensure tmp dir exists before use.  Fixes FTBFS.

 -- Bryce Harrington <bryce@canonical.com>  Fri, 09 Apr 2021 02:43:27 +0000

securefs (0.11.1+ds-3) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 07 Jan 2021 14:20:48 +0800

securefs (0.11.1+ds-2) unstable; urgency=medium

  * update autotest dependencies (Closes: #978704)

 -- Yanhao Mo <yanhaocs@gmail.com>  Sun, 03 Jan 2021 17:24:29 +0800

securefs (0.11.1+ds-1) unstable; urgency=medium

  * New upstream version 0.11.1+ds

 -- Yanhao Mo <yanhaocs@gmail.com>  Sun, 30 Aug 2020 16:12:44 +0800
