=== debian/control ===
Source: securefs
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
Build-Depends: catch,
               cmake,
               debhelper (>=11~),
               debhelper-compat (= 13),
               libcrypto++-dev,
               libfuse-dev,
               libjsoncpp-dev,
               libtclap-dev,
               libutf8proc-dev,
               libutfcpp-dev
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/netheril96/securefs
Vcs-Git: https://salsa.debian.org/debian/securefs.git
Vcs-Browser: https://salsa.debian.org/debian/securefs

Package: securefs
Architecture: any
Depends: fuse, ${misc:Depends}, ${shlibs:Depends}
Description: Filesystem in userspace with transparent authenticated encryption
 securefs mounts a regular directory onto a mount point. The
 mount point appears as a regular filesystem, where one can
 read/write/create files, directories and symbolic links.
 The underlying directory will be automatically updated to
 contain the encrypted and authenticated contents.
