=== debian/tests/control ===
Test-Command: cd obj-x86_64-linux-gnu && python3 ../test/simple_test.py
Depends: fuse,
         libcrypto++-dev,
         libfuse-dev,
         libjsoncpp-dev,
         libutf8proc-dev,
         python3
Restrictions: build-needed, isolation-machine, allow-stderr

Test-Command: cd obj-x86_64-linux-gnu && ./securefs_test
Depends: fuse, libcrypto++-dev, libfuse-dev, libjsoncpp-dev, libutf8proc-dev
Restrictions: build-needed
