## securefs 0.13.0+ds

=== debian/changelog ===
securefs (0.13.0+ds-2) unstable; urgency=medium

  * Fix autopkgtest by add allow-stderr tag (CLoses: #1021083).

 -- Yanhao <yanhaocs@gmail.com>  Sun, 16 Oct 2022 18:02:42 +0800

securefs (0.13.0+ds-1) unstable; urgency=medium

  * New upstream version 0.13.0+ds
  * Update copyright information
  * Update patches:
    - Build use native argon2 library

 -- Yanhao <yanhaocs@gmail.com>  Sat, 17 Sep 2022 15:45:53 +0800
