=== debian/tests/control ===
Test-Command: cd obj-`dpkg-architecture -q DEB_BUILD_GNU_TYPE` && SECUREFS_BINARY=`pwd`/securefs python3 ../test/simple_test.py
Depends: fuse,
         libcrypto++-dev,
         libfuse-dev,
         libjsoncpp-dev,
         libutf8proc-dev,
         python3
Restrictions: build-needed, isolation-machine, allow-stderr

Test-Command: cd obj-`dpkg-architecture -q DEB_BUILD_GNU_TYPE` && ./securefs_test
Depends: fuse, libcrypto++-dev, libfuse-dev, libjsoncpp-dev, libutf8proc-dev
Restrictions: build-needed, allow-stderr
