=== debian/changelog ===
securefs (0.13.1+ds-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:58:30 +1100

securefs (0.13.1+ds-1ubuntu3) noble; urgency=high

  * No change rebuild against libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:54:29 +0100

securefs (0.13.1+ds-1ubuntu2) noble; urgency=medium

  * Rebuild against latest utf8proc

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Oct 2023 07:30:11 -0400

securefs (0.13.1+ds-1ubuntu1) mantic; urgency=medium

  * Set SECUREFS_BINARY in debian/test/control (LP: #2018707).

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 08 May 2023 07:14:48 +0200

securefs (0.13.1+ds-1) unstable; urgency=medium

  * New upstream version 0.13.1+ds

 -- Yanhao <yanhaocs@gmail.com>  Fri, 27 Jan 2023 10:31:37 +0800
