=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                libjsoncpp-dev,
                libtclap-dev,
                libutf8proc-dev,
-               libutfcpp-dev
+               libutfcpp-dev,
+               libargon2-dev
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://github.com/netheril96/securefs
