=== debian/watch ===
version=4
opts="dversionmangle=auto, repacksuffix=+ds, \
 filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%securefs-$1.tar.gz%" \
 https://github.com/netheril96/securefs/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
